## com.fasterxml.jackson.databind.jsonschema
Interface SchemaAware

All Known Implementing Classes:
  ArraySerializerBase, AsArraySerializerBase, BeanAsArraySerializer, BeanSerializer, BeanSerializerBase, BooleanSerializer, CalendarSerializer, CollectionSerializer, ContainerSerializer, CoreXMLSerializers.XMLGregorianCalendarSerializer, DateSerializer, DateTimeSerializerBase, DOMSerializer, EnumMapSerializer, EnumSerializer, EnumSetSerializer, FailingSerializer, IndexedListSerializer, IndexedStringListSerializer, InetAddressSerializer, IterableSerializer, IteratorSerializer, JsonValueSerializer, MapSerializer, NonTypedScalarSerializerBase, NullSerializer, NumberSerializers.DoubleSerializer, NumberSerializers.FloatSerializer, NumberSerializers.IntegerSerializer, NumberSerializers.IntLikeSerializer, NumberSerializers.LongSerializer, NumberSerializers.NumberSerializer, ObjectArraySerializer, RawSerializer, SerializableSerializer, SqlDateSerializer, SqlTimeSerializer, StaticListSerializerBase, StdArraySerializers.BooleanArraySerializer, StdArraySerializers.ByteArraySerializer, StdArraySerializers.CharArraySerializer, StdArraySerializers.DoubleArraySerializer, StdArraySerializers.FloatArraySerializer, StdArraySerializers.IntArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer, StdArraySerializers.TypedPrimitiveArraySerializer, StdJdkSerializers.AtomicBooleanSerializer, StdJdkSerializers.AtomicIntegerSerializer, StdJdkSerializers.AtomicLongSerializer, StdJdkSerializers.AtomicReferenceSerializer, StdJdkSerializers.ClassSerializer, StdJdkSerializers.FileSerializer, StdKeySerializer, StdKeySerializers.CalendarKeySerializer, StdKeySerializers.DateKeySerializer, StdKeySerializers.StringKeySerializer, StdScalarSerializer, StdSerializer, StringArraySerializer, StringCollectionSerializer, StringSerializer, TimeZoneSerializer, TokenBufferSerializer, ToStringSerializer, UnknownSerializer, UnwrappingBeanSerializer

    public interface SchemaAware

Marker interface for schema-aware serializers.

Method Summary
`JsonNode` `getSchema(SerializerProvider provider, Type typeHint)` Get the representation of the schema to which this serializer will conform.

Method Detail

### getSchema

    JsonNode getSchema(SerializerProvider provider,
                       Type typeHint)
                       throws JsonMappingException

  Get the representation of the schema to which this serializer will conform.

  Parameters:
    `provider` - The serializer provider.
    `typeHint` - A hint about the type.
  Returns:
    Json-schema for this serializer.
  Throws:
    `JsonMappingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.